name: "thermic dynamo"
glyph: {char: "v", colour: etc_vehumet}
flags: [flies, insubstantial, speaks]
resists: {fire: 3, cold: 3}
xp_mult: 18
genus: fire_vortex
holiness: [nonliving]
will: invuln
attacks:
 - {type: touch, flavour: fire, damage: 18}
 - {type: engulf, flavour: cold, damage: 14}
hd: 10
hp_10x: 380
ac: 4
ev: 16
spells: thermic_dynamo
intelligence: brainless
energy: {move: 8}
size: medium
shape: misc
tile_variance: cycle
